Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.spreadsheet
Class LogSpreadsheetSorter

    java.lang.Object
      lbg.simulator.tools.spreadsheet.LogSpreadsheetSorter

    public abstract class LogSpreadsheetSorter

extends java.lang.Object

LogSpreadsheet sorter.

Author:
  Cyril Briquet

Constructor Summary
`LogSpreadsheetSorter()`

Method Summary
`static java.lang.Float[]` | `getSortedDataColumn(LogSpreadsheet spreadsheet, java.lang.String... col_titles)` Get last column of target columns sorted in function of the other target columns (first target column is first sort criterion and so on).
`static java.lang.String[]` | `getSortedStrategyColumn(LogSpreadsheet spreadsheet, java.lang.String... col_titles)` Get last column of target columns sorted in function of the other target columns (first target column is first sort criterion and so on).
`static java.util.ArrayList<java.lang.Integer>` | `sortColumns(LogSpreadsheet spreadsheet, java.lang.String... col_titles)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogSpreadsheetSorter

    public LogSpreadsheetSorter()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSortedDataColumn

    public static java.lang.Float[] getSortedDataColumn(LogSpreadsheet spreadsheet,
                                                        java.lang.String... col_titles)
                                                 throws GridException

  Get last column of target columns sorted in function of the other target columns (first target column is first sort criterion and so on).

  Throws:
    `GridException`

### getSortedStrategyColumn

    public static java.lang.String[] getSortedStrategyColumn(LogSpreadsheet spreadsheet,
                                                             java.lang.String... col_titles)
                                                      throws GridException

  Get last column of target columns sorted in function of the other target columns (first target column is first sort criterion and so on).

  Throws:
    `GridException`

### sortColumns

    public static java.util.ArrayList<java.lang.Integer> sortColumns(LogSpreadsheet spreadsheet,
                                                                     java.lang.String... col_titles)
                                                              throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.